☰

Site

Site

Overview

CleanPipe Protection Site API

Version information

Version : 1.0.0.BETA

License information

Terms of service : https://www.nexusguard.com/

URI scheme

Host : {your_basic_domain}
BasePath : /api
Schemes : HTTPS

Paths

List mitigation group profiles.

GET /spe/customer/{customer_id}/cp/mitigation_group_profiles

Description

This API retrieves mitigation group profile list, used for create site in CleanPipe Protection. See notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
Query ip_type
optional
IP type of the site,should be ‘ipv4’ or ‘ipv6’. Default value is ‘ipv4’. string

Responses

HTTP Code Description Schema
200 Response body with result data or error information. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
Array of mitigation group profiles. < result > array

result

Name Description Schema
profile_id
optional
Unique identifier of the profile. integer
profile_name
optional
Name of the profile. string
scope
optional
Scope type (global or pop) enum (global, pop)
scope_pop_list
optional
IDC/PoP List when scope is pop. < scope_pop_list > array

scope_pop_list

Name Description Schema
idc
optional
IDC/PoP identifier. string
name
optional
IDC/PoP name. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

List service plans.

GET /spe/customer/{customer_id}/cp/service_plan

Description

This API retrieves service plan list, used for create site in CleanPipe Protection. See notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
The capture status and the address to download captured content. < string > array

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Create CleanPipe Protection site.

POST /spe/customer/{customer_id}/cp/site

Description

Through this API, the site under CleanPipe Protection is created based on the user-provided information. Please see notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
Body site
optional
Basic site information. site

site

Name Description Schema
cidr
required
The network resources to be protected, in CIDR form. < string > array
ip_type
optional
IP type of the site,should be ‘ipv4’ or ‘ipv6’,default value is ‘ipv4’ string
mitigation_group_profile_id
required
The mitigation group profile id specified when creating site. integer
site_desc
optional
The description of the site created can be added, limited 0 to 512 characters. string
site_name
required
The site name which only allows letters, numbers and underscores, limited 2 to 32 characters. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
result

result

Name Description Schema
site_id
optional
Site ID, an unique identifier assigned to each Site. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Get site details.

GET /spe/customer/{customer_id}/cp/site/{site_id}

Description

This API helps retrieve the info of a site under CleanPipe Protection using the Site ID provided. Please see notes of individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
Info of the site result

result

Name Description Schema
cidr
optional
< string > array
ip_type
optional
IP type of the site. string
mitigation_group_profile_id
optional
The mitigation group profile id specified when creating site. integer
service_plan
optional
The service plan the client has signed up for. string
site_desc
optional
The description of the site created can be added. string
site_name
optional
The site name which only allows letters, numbers and underscores, limited to 20 characters. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Update CleanPipe Protection site.

PUT /spe/customer/{customer_id}/cp/site/{site_id}

Description

Through this API, the site under CleanPile Protection is updated based on the user-provided information. Please see notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
Body site
optional
Basic site information. site

site

Name Description Schema
cidr
optional
The network resources to be protected, in CIDR form. < string > array
mitigation_group_profile_id
optional
The mitigation group profile id specified when creating site. integer
site_desc
optional
The description of the site created can be added.limited 0 to 512 characters. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
result

result

Name Description Schema
site_id
optional
Site ID, an unique identifier assigned to each Site. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Delete CleanPipe Protection site.

DELETE /spe/customer/{customer_id}/cp/site/{site_id}

Description

Through this API, the site under CleanPipe Protection is deleted based on the user-provided information. Please see notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Add acl filter rule for site.

POST /spe/customer/{customer_id}/cp/site/{site_id}/acl-filter-rule

Description

This API helps add the acl filter rule of site under CleanPipe Protection using the Site ID provided. Please see notes of individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
Body body
required
FlexFilter/Custom filter rule configuration. body

body

Name Description Schema
action
required
You can select ‘pass’, ‘drop’ or ‘ratelimit’. Selecting the ratelimit can allow you to define the capacity of the bandwidth that data packets can consume. string
bps_limit
optional
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. string
dst_ip
optional
IP Address of the recipient. < string > array
dst_port
optional
Port number to which the data packet is sent. Each item is one port from 0–65535, or an inclusive range low-high with both ends in 0–65535 (e.g. 80, 80-90). < string > array
icmp_code
optional
When icmp_type is ICMP-unreach, ICMP-Redirect or ICMP-Paramprob, when ICMP-unreach is 0-15, ICMP-redirect is 0-3, and ICMP-paramprob is 0-2. string
icmp_type
optional
When the protocol is ICMP, the value can be custom or from the filter_ICMP_type field that returns the result from config options. When custom, the range is an integer between 0 and 255. string
package_length
optional
The package length of the rule. Can be updated regardless of the selected protocol. < string > array
pps_limit
optional
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. string
protocol
required
Protocol of the data packet. Currently, tcp, udp and icmp are supported. string
rule_desc
optional
Optional policy description. string
rule_mode
optional
Rule Mode. string
rule_name
required
The name of the policy created. string
src_ip
optional
IP address of the sender, as it is shown in the data packet. < string > array
src_port
optional
Port number from which the data packet is sent. Each item is one port from 0–65535, or an inclusive range low-high with both ends in 0–65535 (e.g. 80, 80-90). < string > array
tcp_flags
optional
In TCP connection, flags are used to indicate a particular state of connection or to provide some additional useful information. < string > array
ttl
optional
Time-to-live (TTL) is a value in an IP packet that tells a network router whether or not the packet has been in the network too long and should be discarded. string

Responses

HTTP Code Description Schema
200 Response body with result data or error information. Response 200

Response 200

Name Description Schema
code
optional
Numeric error code; 0 indicates success. integer
msg
optional
Human-readable error or status message. string
result
optional
result

result

Name Description Schema
rule_id
optional
Rule ID, an unique identifier assigned to each FlexFilter Custom Filters. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Edit acl filter rule for site.

POST /spe/customer/{customer_id}/cp/site/{site_id}/acl-filter-rule/{rule_id}

Description

This API helps edit the acl filter rule of site under CleanPipe Protection using the Site ID provided. Please see notes of individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path rule_id
required
Unique identifier of a rule. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
Body body
required
FlexFilter/Custom filter rule configuration. body

body

Name Description Schema
action
required
You can select ‘pass’, ‘drop’ or ‘ratelimit’. Selecting the ratelimit can allow you to define the capacity of the bandwidth that data packets can consume. string
bps_limit
optional
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. string
dst_ip
optional
IP Address of the recipient. < string > array
dst_port
optional
Port number to which the data packet is sent. Each item is one port from 0–65535, or an inclusive range low-high with both ends in 0–65535 (e.g. 80, 80-90). < string > array
icmp_code
optional
When icmp_type is ICMP-unreach, ICMP-Redirect or ICMP-Paramprob, when ICMP-unreach is 0-15, ICMP-redirect is 0-3, and ICMP-paramprob is 0-2. string
icmp_type
optional
When the protocol is ICMP, the value can be custom or from the filter_ICMP_type field that returns the result from config options. When custom, the range is an integer between 0 and 255. string
package_length
optional
The package length of the rule. Can be updated regardless of the selected protocol. < string > array
pps_limit
optional
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. string
protocol
required
Protocol of the data packet. Currently, tcp, udp and icmp are supported. string
rule_desc
optional
Optional policy description. string
rule_mode
optional
Rule Mode. string
rule_name
required
The name of the policy created. string
src_ip
optional
IP address of the sender, as it is shown in the data packet. < string > array
src_port
optional
Port number from which the data packet is sent. Each item is one port from 0–65535, or an inclusive range low-high with both ends in 0–65535 (e.g. 80, 80-90). < string > array
tcp_flags
optional
In TCP connection, flags are used to indicate a particular state of connection or to provide some additional useful information. < string > array
ttl
optional
Time-to-live (TTL) is a value in an IP packet that tells a network router whether or not the packet has been in the network too long and should be discarded. string

Responses

HTTP Code Description Schema
200 Response body with result data or error information. Response 200

Response 200

Name Description Schema
code
optional
Numeric error code; 0 indicates success. integer
msg
optional
Human-readable error or status message. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Delete acl filter rule for site.

DELETE /spe/customer/{customer_id}/cp/site/{site_id}/acl-filter-rule/{rule_id}

Description

This API helps delete the acl filter rule of site under CleanPipe Protection using the Site ID provided. Please see notes of individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path rule_id
required
Unique identifier of a rule. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 Response body with result data or error information. Response 200

Response 200

Name Description Schema
code
optional
Numeric error code; 0 indicates success. integer
msg
optional
Human-readable error or status message. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Switch acl filter rule for site.

POST /spe/customer/{customer_id}/cp/site/{site_id}/acl-filter-rule/{rule_id}/switch

Description

Enable or disable an acl filter rule for a CleanPipe Protection site.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path rule_id
required
Filter rule ID. Can be obtained by invoking this API for rule_id. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
FormData is_enabled
required
0 means disabled and 1 means enabled. integer

Responses

HTTP Code Description Schema
200 Response body with result data or error information. Response 200

Response 200

Name Description Schema
code
optional
Numeric error code; 0 indicates success. integer
msg
optional
Human-readable error or status message. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

List acl filter rules for site.

GET /spe/customer/{customer_id}/cp/site/{site_id}/acl-filter-rules

Description

This API helps retrieve the acl filter rules list of site under CleanPipe Protection using the Site ID provided. Please see notes of individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
list of the acl filter rules. < result > array

result

Name Description Schema
action
optional
Either rate limiting, dropping or letting the traffic pass are taken. string
bps_limit
optional
ratelimit in bps. string
dst_ip
optional
IP Address of the recipient. < string > array
dst_port
optional
Port number to which the data packet is sent. Each item is one port from 0–65535, or an inclusive range low-high with both ends in 0–65535 (e.g. 80, 80-90). < string > array
is_enabled
optional
0 means it is disabled and 1 means enabled. integer
package_length
optional
The package length of the rule. Can be updated regardless of the selected protocol. < string > array
pps_limit
optional
ratelimit in pps. string
protocol
optional
Protocol of the data packet. Returned as a string such as tcp, udp, icmp, any, or an IANA protocol number (0-255) written as a decimal string (for example 47). string
rule_desc
optional
Optional policy description. string
rule_id
optional
Filter rule ID, a unique identifier assigned to each acl filter rule. string
rule_mode
optional
Rule Mode. string
rule_name
optional
The name of the policy string
sort_order
optional
Priority order of rules. integer
src_ip
optional
IP address of the sender, as it is shown in the data packet. < string > array
src_port
optional
Port number from which the data packet is sent. Each item is one port from 0–65535, or an inclusive range low-high with both ends in 0–65535 (e.g. 80, 80-90). < string > array
tcp_flags
optional
In TCP connection, flags are used to indicate a particular state of connection or to provide some additional useful information. < string > array
ttl
optional
Time-to-live (TTL) is a value in an IP packet that tells a network router whether or not the packet has been in the network too long and should be discarded. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Sort acl filter rules for site.

POST /spe/customer/{customer_id}/cp/site/{site_id}/acl-filter-rules/sort

Description

Update the priority order of acl filter rules for a CleanPipe Protection site. Rules are sorted in ascending order based on their position in the rule_list array.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
Body body
required
Ordered list of acl filter rule IDs. body

body

Name Description Schema
rule_list
required
Ordered list of rule IDs. Rules are applied in ascending order by array position. Example [“fb48aa15dd7abf34”, “da48aa15dd7abf22”] means the first ID has the highest priority. < string > array

Responses

HTTP Code Description Schema
200 Response body with result data or error information. Response 200

Response 200

Name Description Schema
code
optional
Numeric error code; 0 indicates success. integer
msg
optional
Human-readable error or status message. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Creates a cidr.

POST /spe/customer/{customer_id}/cp/site/{site_id}/cidrs

Description

A CIDR defines a contiguous IP address range, supporting both IPv4 and IPv6 address formats. Multiple CIDR entries are allowed.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site. Can be obtained by invoking this API for CleanPipe Protection sites. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
FormData cidr
required
Only Class C IP addresses can be added to a site. < string > array

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200
201 This is the returned result. Response 201

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string

Response 201

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Gets a cidr list.

GET /spe/customer/{customer_id}/cp/site/{site_id}/cidrs

Description

Gets the cidr list of the site under CleanPipe Protection.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site. Can be obtained by invoking this API for CleanPipe Protection sites. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
Query limit
optional
The page parameter. The default value of requesting the counts of index from the first index is 0,response code is 200.Response code will be 201 without default value.The max value of requesting the counts of index from the first index is 50. integer
Query start
optional
The default value of the first index of the page parameter value is 0. integer

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200
201 This is the returned result. Response 201

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
Site cidr list. < result > array

result

Name Description Schema
cidr
optional
The list of IP addresses added to the cidr. < string > array

Response 201

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
result

result

Name Description Schema
data
optional
Site cidr list. < data > array
limit
optional
Current page parameter value. integer
start
optional
Current page parameter value. integer
total
optional
Current site total integer

data

Name Description Schema
cidr
optional
The list of IP addresses added to the cidr. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Deletes cidrs.

DELETE /spe/customer/{customer_id}/cp/site/{site_id}/cidrs

Description

Deletes cidrs from the site.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site. Can be obtained by invoking this API for CleanPipe Protection sites. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
FormData cidrs
required
The list of cidrs to be deleted. < string > array

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200
201 This is the returned result. Response 201

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string

Response 201

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Create host.

POST /spe/customer/{customer_id}/cp/site/{site_id}/host

Description

Through this API, the host of site under CleanPipe Protection is created based on the user-provided information. Please see notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
Body host
optional
Basic site information. host

host

Name Description Schema
cidr
required
The network resources to be protected in CIDR form, here only need to enter the IP address. < string > array
host_desc
optional
The description of the host created can be added, limited 0 to 512 characters. string
host_name
required
The host name which only allows letters, numbers and underscores, limited 2 to 32 characters. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
result

result

Name Description Schema
host_id
optional
Host ID, an unique identifier assigned to each Site. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Get host details.

GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}

Description

This API helps retrieve the info of a host of site under CleanPipe Protection using the Site ID provided. Please see notes of individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path host_id
required
Unique identifier of a host.Can be obtained by invoking this API for host_id. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
Info of the host result

result

Name Description Schema
cidr
optional
< string > array
host_desc
optional
The description of the host. string
host_name
optional
The host name which only allows letters, numbers and underscores, limited to 20 characters. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Update host.

PUT /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}

Description

Through this API, the host of site under CleanPipe Protection is updated based on the user-provided information. Please see notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path host_id
required
Unique identifier of a host.Can be obtained by invoking this API for host_id. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
Body host
optional
Basic site information. host

host

Name Description Schema
cidr
optional
The network resources to be protected in CIDR form, here only need to enter the IP address. < string > array
host_desc
optional
The description of the host created can be added, limited 0 to 512 characters. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
result

result

Name Description Schema
host_id
optional
Host ID, an unique identifier assigned to each Site. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Delete host.

DELETE /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}

Description

Through this API, the host of site under CleanPipe Protection is deleted based on the user-provided information. Please see notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path host_id
required
Unique identifier of a host.Can be obtained by invoking this API for host_id. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

List hosts for site.

GET /spe/customer/{customer_id}/cp/site/{site_id}/hosts

Description

This API helps retrieve the host list of site under CleanPipe Protection using the Site ID provided. Please see notes of individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site.Can be obtained by invoking this API for site_id. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
list of the host < result > array

result

Name Description Schema
cidr
optional
< string > array
host_desc
optional
The description of the host. string
host_id
optional
Unique identifier of a host. string
host_name
optional
The host name which only allows letters, numbers and underscores, limited to 20 characters. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Upload CIDRs via file.

POST /spe/customer/{customer_id}/cp/site/{site_id}/upload-cidrs

Description

Upload CIDR list by file (TXT/CSV only, max 10MB). IPv4 & IPv6 CIDRs supported.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Path site_id
required
Unique identifier of a site. Can be obtained by invoking this API for CleanPipe Protection sites. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string
FormData file
required
TXT or CSV files smaller than 10MB are allowed. file

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

List sites for customer.

GET /spe/customer/{customer_id}/cp/sites

Description

This API retrieves a complete list of sites under CleanPipe Protection associated with a certain Customer ID. This is Customer ID is a 3-digit integer in the Admin Portal and unique to each customer. In this context, what you get and give is an encoded string, e.g., 7423b77da0a97c33. See notes on individual parameters below.

Parameters

Type Name Description Schema
Path customer_id
required
Unique identifier of a customer. Can be obtained by invoking this API. string
Query access_token
required
Access token used to authenticate your access to the API.Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 This is the returned result. Response 200

Response 200

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string
result
optional
The list of CleanPipe Protection sites associated with the given Customer ID. < result > array

result

Name Description Schema
cidr
optional
The network resources to be protected, in CIDR form. < string > array
service_plan
optional
The service plan the client has signed up for. string
site_desc
optional
Description about the site. string
site_id
optional
Site ID, an unique identifier assigned to each Site. string
site_name
optional
Site Name, name of the site. string

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Definitions

Result

The returned result.

Name Description Schema
code
optional
Error code integer
msg
optional
Error message string

Security

ApiKeyAuth

Type : apiKey
Name : access_token
In : QUERY